GNU bug report logs - #32691
OpenMolcas

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: Eric Brown <brown@HIDDEN>; dated Tue, 11 Sep 2018 04:25:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 32691 <at> debbugs.gnu.org:


Received: (at 32691) by debbugs.gnu.org; 21 Sep 2018 11:22:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 21 07:22:49 2018
Received: from localhost ([127.0.0.1]:47682 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g3JWK-0001Tu-R6
	for submit <at> debbugs.gnu.org; Fri, 21 Sep 2018 07:22:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:49972)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1g3JWJ-0001Th-Al
 for 32691 <at> debbugs.gnu.org; Fri, 21 Sep 2018 07:22:47 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1g3JWA-0002t2-U7
 for 32691 <at> debbugs.gnu.org; Fri, 21 Sep 2018 07:22:42 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58540)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1g3JWA-0002sY-Ft; Fri, 21 Sep 2018 07:22:38 -0400
Received: from [193.50.110.247] (port=54700 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1g3JWA-0006Sf-5e; Fri, 21 Sep 2018 07:22:38 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Eric Brown <brown@HIDDEN>
Subject: Re: bug#32691: OpenMolcas
References: <87d0tkk6gh.fsf@HIDDEN> <87h8isjund.fsf@HIDDEN>
 <87bm90uo09.fsf@HIDDEN> <875zz36du9.fsf@HIDDEN>
 <87worhvxe3.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Jour des =?utf-8?Q?R=C3=A9compenses?= de =?utf-8?Q?l?=
 =?utf-8?Q?'Ann=C3=A9e?= 226 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 21 Sep 2018 13:22:36 +0200
In-Reply-To: <87worhvxe3.fsf@HIDDEN> (Eric Brown's message of "Wed, 19
 Sep 2018 19:13:40 -0500")
Message-ID: <87k1nf5c3n.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32691
Cc: 32691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

Hi Eric,

Eric Brown <brown@HIDDEN> skribis:

> ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

[...]

>> Ideally basis_library/ and data/ would go under share/openmolcas, while
>> CONTRIBUTORS.md and LICENSE would go to share/doc/openmolcas.  Also, it
>> would be nice to remove the =E2=80=98.exe=E2=80=99 extension.
>>
>> Do you think you could easily fiddle with CMake to fix these and/or
>> report it upstream?  I could apply the patch as is but I think users may
>> not be pleased by this.  WDYT?
>>
>> Thank you for your time, and sorry for the extra round trip!
>
> Hi Ludo',
>
> Thank you again. Indeed, "/" gets littered with some files that out to
> go into share. This has been noted in discussions upstream.
>
> Though we've put a bunch of work into this, I think it would be good to
> pause and see if we can make some of these changes upstream, as you
> suggest.

Sounds good, let us know how it goes.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#32691; Package guix. Full text available.

Message received at 32691 <at> debbugs.gnu.org:


Received: (at 32691) by debbugs.gnu.org; 20 Sep 2018 00:13:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 19 20:13:44 2018
Received: from localhost ([127.0.0.1]:46174 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g2mbI-0006hk-9G
	for submit <at> debbugs.gnu.org; Wed, 19 Sep 2018 20:13:44 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:54409)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown@HIDDEN>) id 1g2mbG-0006hc-WC
 for 32691 <at> debbugs.gnu.org; Wed, 19 Sep 2018 20:13:43 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id CA66321BD9;
 Wed, 19 Sep 2018 20:13:42 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Wed, 19 Sep 2018 20:13:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 cc:content-transfer-encoding:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=z2sPAX2uidZyRv1BI+3D2yXu6PvxZ
 a/fv+us5kmPoGo=; b=Ab6Xw8IIoW/ehUZkLU7IooducKMkPgCG/m9mYG4DgatWj
 7y4kpwi7yGzYuar4OFjTJtQsy9ej+yh4ZF9V673NxOyi4mcwXMIIL3FwF+U2pU1K
 3B9prDGc2Ci0pNn/zqdgdrKYV1W0IGIYFXTM9rLdOcqdqfj0p+Z7FjzvWn5/lVvZ
 fZ69VZFtcaKkZIPHtgh9+bd9baUK9xxQv/vcogQhT7fLcKiMraYS9yFWqftl2xII
 tpCwSeW5t8OVsWdA5K6JwiHFtFnOyCSVY4k1uaGZ8qoswcSMXjitjgR0XyJt1ez4
 glNhzg59M1z8fcEBelEIceRwmmTTzAx89P1DxkyYw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-transfer-encoding:content-type
 :date:from:in-reply-to:message-id:mime-version:references
 :subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=z2sPAX
 2uidZyRv1BI+3D2yXu6PvxZa/fv+us5kmPoGo=; b=VyNMp08vhk3BrWihmk+DAe
 2jnFEWBQwCCDfrBQu8b6Gkf4Ig/r/nygdUFO9FpW+4JNo7OS8nYLNHUKexXyrzx4
 QxJq3EOzwkncQCiciPh+F1H8J4m3L34EdxMRWvpTFFOC+BXdKWrHXnxxCrpLXjNC
 1MyfDK/s5FMCUBHQYBTMR38BGRuhIGyTfhZcDsRe6C2i6+Qs2ypPoAMjfATS/1/D
 SyqtkQOGf7wsZ4+/FMHvqswmFKRLsxw/gE8E/7P1FW2bRG6iNOTt5+vTSrPgH5Jh
 rFGMENbdRxBjDJlaEm9a6KPij3MkHKBxl0BITcbQUDpIxlCDjnJD1rdi+hW13A/A
 ==
X-ME-Proxy: <xmx:NuaiWx8sPAYbsPQJPCi4rmVCn3_pb7DnmJVH01PkLS0J8Bq6q20GMw>
 <xmx:NuaiWx3SeJ7-ITV3mgS4pdcVNeJUPXB0FbM4RpIxjGrWJWBClyQARQ>
 <xmx:NuaiW63QPQc7n49HTt44oUDRI31RrdhorWosPpS_nvIDnTwUHoO4HQ>
 <xmx:NuaiW-zipZdb50ZEpwU_6M7Ftst17PW9UGpEEkQxaURBNA6OLsVqgw>
 <xmx:NuaiW2VXEHLmIYvIpAb9r3xD0Zc5-cIpbfHqpCbvXZXgXQKhk5Lb8Q>
 <xmx:NuaiWxKrheqe-HGtsrtXwi0ml1PPBEnRJplpzo169HmKddf0EHD3fA>
X-ME-Sender: <xms:NuaiWyBf10EtS8DjxDmnOLg-UBJlmok6FHbiGQHYXVekS_36Kxug-w>
Received: from localhost (c-24-12-214-32.hsd1.il.comcast.net [24.12.214.32])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1E3BEE4149;
 Wed, 19 Sep 2018 20:13:42 -0400 (EDT)
From: Eric Brown <brown@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#32691: OpenMolcas
References: <87d0tkk6gh.fsf@HIDDEN> <87h8isjund.fsf@HIDDEN>
 <87bm90uo09.fsf@HIDDEN> <875zz36du9.fsf@HIDDEN>
Date: Wed, 19 Sep 2018 19:13:40 -0500
In-Reply-To: <875zz36du9.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Mon, 17 Sep 2018 22:58:22 +0200")
Message-ID: <87worhvxe3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32691
Cc: 32691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Hi Eric,
>
> We=E2=80=99re almost there!  :-)
>
> I made small changes (moved comments about the patch at the top of the
> patch; switch to =E2=80=98texlive-union=E2=80=99, which is much smaller t=
han =E2=80=98texlive=E2=80=99),
> leading to the attached patch.
>
> It=E2=80=99s all good, except that the file layout really doesn=E2=80=99t=
 match the
> usual conventions:
>
> [...]
>
> Ideally basis_library/ and data/ would go under share/openmolcas, while
> CONTRIBUTORS.md and LICENSE would go to share/doc/openmolcas.  Also, it
> would be nice to remove the =E2=80=98.exe=E2=80=99 extension.
>
> Do you think you could easily fiddle with CMake to fix these and/or
> report it upstream?  I could apply the patch as is but I think users may
> not be pleased by this.  WDYT?
>
> Thank you for your time, and sorry for the extra round trip!

Hi Ludo',

Thank you again. Indeed, "/" gets littered with some files that out to
go into share. This has been noted in discussions upstream.

Though we've put a bunch of work into this, I think it would be good to
pause and see if we can make some of these changes upstream, as you
suggest.

(Also I need some time to brush up on CMake -- perhaps I can contribute
some of these changes myself.)

Warm regards,
Eric




Information forwarded to bug-guix@HIDDEN:
bug#32691; Package guix. Full text available.

Message received at 32691 <at> debbugs.gnu.org:


Received: (at 32691) by debbugs.gnu.org; 17 Sep 2018 20:58:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 17 16:58:45 2018
Received: from localhost ([127.0.0.1]:43412 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g20bM-0001JI-EE
	for submit <at> debbugs.gnu.org; Mon, 17 Sep 2018 16:58:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:40901)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1g20bG-0001Iz-QF
 for 32691 <at> debbugs.gnu.org; Mon, 17 Sep 2018 16:58:34 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1g20bA-0001ns-1M
 for 32691 <at> debbugs.gnu.org; Mon, 17 Sep 2018 16:58:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:57966)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1g20b9-0001nT-QF; Mon, 17 Sep 2018 16:58:23 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35506 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1g20b9-0002fJ-Fi; Mon, 17 Sep 2018 16:58:23 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Eric Brown <brown@HIDDEN>
Subject: Re: bug#32691: OpenMolcas
References: <87d0tkk6gh.fsf@HIDDEN> <87h8isjund.fsf@HIDDEN>
 <87bm90uo09.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: Jour de la Vertu de =?utf-8?Q?l'Ann=C3=A9e?= 226 de la
 =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 17 Sep 2018 22:58:22 +0200
In-Reply-To: <87bm90uo09.fsf@HIDDEN> (Eric Brown's message of "Fri, 14
 Sep 2018 09:55:50 -0500")
Message-ID: <875zz36du9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 32691
Cc: 32691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Eric,

We=E2=80=99re almost there!  :-)

Eric Brown <brown@HIDDEN> skribis:

> Thank you for your fixes! I've attached a revised patch. I'm well beyond
> my comfort zone, so I hope it applies cleanly and works.
>
> The default location of pymolcas is a little sketchy, being placed in
> the first writable location in PATH, and I believe will not be fixed
> upstream:
>
> https://gitlab.com/Molcas/OpenMolcas/issues/70
>
> I have added comments to the chemistry.scm file.

I made small changes (moved comments about the patch at the top of the
patch; switch to =E2=80=98texlive-union=E2=80=99, which is much smaller tha=
n =E2=80=98texlive=E2=80=99),
leading to the attached patch.

It=E2=80=99s all good, except that the file layout really doesn=E2=80=99t m=
atch the
usual conventions:

--8<---------------cut here---------------start------------->8---
$ find /gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/basis_library
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/basis_library/=
TZ
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/basis_library/=
AUG-PC-4

[...]

/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/sbin
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/sbin/help_basis
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/sbin/help_doc
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/lib
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/lib/libmolcas.a
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/bin
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/bin/ffpt.exe
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/bin/loprop.exe

[...]

/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/data/quater.pr=
gm
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/data/rasscf.pr=
gm
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/.molcasversion
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/molcas.rte
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/CONTRIBUTORS.md
/gnu/store/6cj9n2rwsxwk582xqz2hxzlk520ghvm9-openmolcas-18.09/LICENSE
--8<---------------cut here---------------end--------------->8---

Ideally basis_library/ and data/ would go under share/openmolcas, while
CONTRIBUTORS.md and LICENSE would go to share/doc/openmolcas.  Also, it
would be nice to remove the =E2=80=98.exe=E2=80=99 extension.

Do you think you could easily fiddle with CMake to fix these and/or
report it upstream?  I could apply the patch as is but I think users may
not be pleased by this.  WDYT?

Thank you for your time, and sorry for the extra round trip!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-Add-openmolcas.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: the patch

From b4caef67aaae349e0aa77fc22517872ff8ca79cb Mon Sep 17 00:00:00 2001
From: Eric Brown <brown@HIDDEN>
Date: Fri, 14 Sep 2018 09:27:35 -0500
Subject: [PATCH] gnu: Add openmolcas.
MIME-Version: 1.0
Content-Type: text/plain; charset=3DUTF-8
Content-Transfer-Encoding: 8bit

* gnu/packages/chemistry.scm (openmolcas): New variable.
* gnu/packages/patches/openmolcas-pymolcas-openblas.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.

Signed-off-by: Ludovic Court=C3=A8s <ludo@HIDDEN>
---
 gnu/local.mk                                  |  1 +
 gnu/packages/chemistry.scm                    | 51 ++++++++++
 .../openmolcas-pymolcas-openblas.patch        | 92 +++++++++++++++++++
 3 files changed, 144 insertions(+)
 create mode 100644 gnu/packages/patches/openmolcas-pymolcas-openblas.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index d37a193ad..4c5a1fbd4 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1006,6 +1006,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/opencascade-oce-glibc-2.26.patch		\
   %D%/packages/patches/openfoam-4.1-cleanup.patch			\
   %D%/packages/patches/openldap-CVE-2017-9287.patch		\
+  %D%/packages/patches/openmolcas-pymolcas-openblas.patch	\
   %D%/packages/patches/openocd-nrf52.patch			\
   %D%/packages/patches/opensmtpd-fix-crash.patch		\
   %D%/packages/patches/openssl-runpath.patch			\
diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 03120aaee..bdb17c30d 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2018 Konrad Hinsen <konrad.hinsen@HIDDEN>
 ;;; Copyright =C2=A9 2018 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,12 +27,16 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages tex)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -322,3 +327,49 @@ chemical data.  It's a collaborative project allowing =
anyone to search, convert,
 analyze, or store data from molecular modeling, chemistry, solid-state
 materials, biochemistry, or related areas.")
     (license license:gpl2)))
+
+(define-public openmolcas
+  (package
+    (name "openmolcas")
+    (version "18.09")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.com/Molcas/OpenMolcas"
+                                  "/-/archive/v" version "/OpenMolcas-v"
+                                  version ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1krrkff5b4zp9ii1m9v3zzw8d99k72fcwwv3rif8cp10cpxi1wxl"))
+              (patches
+               (search-patches "openmolcas-pymolcas-openblas.patch"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:build-type "Release"
+       #:configure-flags
+       (list "-DLINALG=3DOpenBLAS"
+             (string-append "-DOPENBLASROOT=3D"
+                            (assoc-ref %build-inputs "blas"))
+             (string-append "-DLINALG_LIBRARIES=3D"
+                            (assoc-ref %build-inputs "blas")
+                            "/lib/libopenblas_ilp64.so"))))
+    (native-inputs
+     `(("fortran" ,gfortran)
+       ("ghostscript" ,ghostscript)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)
+       ("python-pyparsing" ,python-pyparsing)
+       ("python-six" ,python-six)
+       ("texlive" ,(texlive-union))))
+    (inputs
+     `(("hdf5" ,hdf5)
+       ("blas" ,openblas-ilp64)))
+    (home-page "https://gitlab.com/Molcas/OpenMolcas")
+    (synopsis "Multi-reference electronic structure theory program")
+    (description "OpenMolcas is a quantum chemistry software package devel=
oped
+by scientists and intended to be used by scientists.  It includes programs=
 to
+apply many different electronic structure methods to chemical systems, but=
 its
+key feature is the multiconfigurational approach, with methods like CASSCF=
 and
+CASPT2.")
+    (license license:lgpl2.1)))
diff --git a/gnu/packages/patches/openmolcas-pymolcas-openblas.patch b/gnu/=
packages/patches/openmolcas-pymolcas-openblas.patch
new file mode 100644
index 000000000..84f348721
--- /dev/null
+++ b/gnu/packages/patches/openmolcas-pymolcas-openblas.patch
@@ -0,0 +1,92 @@
+By default, pymolcas is installed in the first writable directory in the
+user's PATH.  This patch places it in the bin/ directory alongside the oth=
er
+OpenMolcas binaries.
+
+The default search for the OpenBLAS library is obviated and the directory =
name
+is supplied as an argument to CMake.
+
+diff --git OpenMolcas-v18.09/CMakeLists.txt OpenMolcas-v18.09/CMakeLists.t=
xt
+index a4071fd..53d8df5 100644
+--- OpenMolcas-v18.09/CMakeLists.txt
++++ OpenMolcas-v18.09/CMakeLists.txt
+@@ -1338,42 +1338,8 @@ if (LINALG STREQUAL "OpenBLAS")
+         endif ()
+=20
+         # search for the OpenBLAS library
+-        find_library (LIBOPENBLAS
+-                NAMES openblas
+-                PATHS ${OPENBLASROOT}
+-                PATH_SUFFIXES lib
+-                NO_DEFAULT_PATH)
+-
+-        if (NOT LIBOPENBLAS)
+-                message (FATAL_ERROR
+-                        "OpenBLAS library not found, please check that "
+-                        "the OPENBLASROOT variable is set and points to "
+-                        "a valid OpenBLAS installation directory."
+-                        )
+-        endif ()
+-
+-        # here we check if LIBOPENBLAS has changed after it was processed
+-        # succesfully, if not we do not need to rerun anything here.
+-        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
+-                # check if the OpenBLAS library contains LAPACK functiona=
lity
+-                message ("-- Checking OpenBLAS for LAPACK functionality..=
.")
+-                include(CheckFortranFunctionExists)
+-                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
+-                unset (OPENBLAS_WITH_LAPACK CACHE)
+-                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPAC=
K)
+-                if (NOT OPENBLAS_WITH_LAPACK)
+-                        unset (LIBOPENBLAS CACHE)
+-                        message (FATAL_ERROR
+-                                "LAPACK functionality missing from OpenBL=
AS library, "
+-                                "please build OpenBLAS with NO_LAPACK=3D0=
 defined."
+-                                )
+-                endif ()
+-                # save the last location to check if it changed between c=
onfigurations
+-                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "last=
 value." FORCE)
+-        endif ()
+-
+         add_definitions (-D_OPENBLAS_)
+-        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++        set (LINALG_LIBRARIES ${LINALG_LIBRARIES})
+ else ()
+         mark_as_advanced(FORCE OPENBLASROOT)
+ endif ()
+@@ -3167,11 +3168,10 @@ install (PROGRAMS
+ if (DEFINED PYMOLCAS_TARGET)
+         install (PROGRAMS
+                 ${PYMOLCAS_TARGET}
+-                DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin
++                DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 RENAME pymolcas
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_pymolcas.sh ${PYMOLCAS_TARGET})")
+ endif ()
+=20
+ if (DEFINED EXTRA_DIR)
+@@ -3188,9 +3189,5 @@ if (DEFINED EXTRA_DIR)
+                 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_driver.sh ${MOLCAS_DRIVER})")
+ endif ()
+=20
+-if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
+-        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_INS=
TALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
+-endif ()
+diff --git OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt OpenMolcas-v18.=
09/Tools/pymolcas/CMakeLists.txt
+index 0d576fa..f9ba6d7 100644
+--- OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt
++++ OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt
+@@ -52,9 +52,5 @@ if (PYTHONINTERP_FOUND)
+                         DEPENDS ${PYMOLCAS_TARGET}
+                         )
+=20
+-                add_custom_command (TARGET pymolcas
+-                        POST_BUILD
+-                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.s=
h ${PYMOLCAS_TARGET}
+-                )
+=20
+         endif ()
--=20
2.18.0


--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#32691; Package guix. Full text available.

Message received at 32691 <at> debbugs.gnu.org:


Received: (at 32691) by debbugs.gnu.org; 14 Sep 2018 14:56:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 14 10:56:03 2018
Received: from localhost ([127.0.0.1]:40827 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0pVk-0005kd-61
	for submit <at> debbugs.gnu.org; Fri, 14 Sep 2018 10:56:03 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:43135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown@HIDDEN>) id 1g0pVh-0005kV-Lx
 for 32691 <at> debbugs.gnu.org; Fri, 14 Sep 2018 10:55:54 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id 4B29F24AAB;
 Fri, 14 Sep 2018 10:55:53 -0400 (EDT)
Received: from mailfrontend1 ([10.202.2.162])
 by compute7.internal (MEProxy); Fri, 14 Sep 2018 10:55:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 cc:content-type:date:from:in-reply-to:message-id:mime-version
 :references:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=2LTtjNVNtASQwr8u6MK1x9vtfe/aqArdAh8NYUwyXIk=; b=fiWZJiNw
 nW8dZ5K+2N6FMB5oPYa0UrcknLeTzOZKVNHOiZSlMr3gvpbmC5ru1ob/bDCEELEs
 zHhLfTBKXMSNexTt2j9X75z/74PyWXahB07REnSkNirSN8iJ8hA7/wArU/mLDdCT
 pwLEnkvM+tmPmPNqOtx+l2+aSxXMAX240d8W0nvzVi47nNUTlWHoQ7cW3L//11xl
 OxxMhhu66unuDIXhyyFpd3fZZXeEqdsawJ0TmiUYdQKfQl0Xg+w3podUmMzuYrFI
 nDm7tJaPybc2Mpjv1sPzb4U5ImllT8CDAk5RMqOl8e6s75uZqtRKEkj4LxfA06dk
 hpqvvx9gYfgngw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-sender
 :x-me-sender:x-sasl-enc; s=fm3; bh=2LTtjNVNtASQwr8u6MK1x9vtfe/aq
 ArdAh8NYUwyXIk=; b=sJOpnUm2hxzMrE/KwBKwIhN09UR7okyPnURSSoK8rEzXu
 0kzgOlHbHicpMSz0gnDwD5M8hgRxPQRzj2sXfY7TZfAMoUCLzi514w2tyKH3cXip
 a9IBOqTI1Uw0CTscFLlKaWOKj/D+lTpVY0pTkScSvVv7fRJzJlmWmu8IkoNBFC0T
 lLbMPo0U4kpguhY3k1SPsm5wy8xw2OdpGNz/DHyqKCNbSVHqqGRwwULG/w5lHo77
 GJoQ3bvwPab0DNrqw2U0PjPio4ljPLDuRHAcMmw2tDj4Ay2ONLdv1zlaeD9Q2Je6
 DEINhyeKAw8DCILF5aqLZHZWYzvP83WTeC1ILyKIg==
X-ME-Proxy: <xmx:-MubW1gPkAWOqCCTcNwET52O7rf4UW7vwtEnFCScMNH-_GeIIm-oow>
 <xmx:-MubWxvIBG91ORzZMV4UjpVW0QNOgCTOl2PN_xej4eQW8d_gz2DDwA>
 <xmx:-MubW64LVLlNOUITWMqM_wBo0UaNQP5dyndNFakbnvgPSzSZxBy66Q>
 <xmx:-MubW7qPge7FlifefUAOGU9TqSlmXVRFHHLqAdPX6Zr9uI50q9J4fQ>
 <xmx:-MubW-e91hYxi3V-qWvDog_2fxzgEe34K3OHHXVjbXEsaUFJepVxEw>
 <xmx:-cubW8qaSWvmByRROBWw9AiBkQW3kKcLei_y5WNZsecH4-an_Egtpw>
X-ME-Sender: <xms:-MubW_6IEmfGsFZbsnlyqnN8GLUCwUJGIbqs65Y2q9iRI6T2t7NbRg>
Received: from localhost (c-24-12-214-32.hsd1.il.comcast.net [24.12.214.32])
 by mail.messagingengine.com (Postfix) with ESMTPA id 383F1E4121;
 Fri, 14 Sep 2018 10:55:52 -0400 (EDT)
From: Eric Brown <brown@HIDDEN>
To: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
Subject: Re: bug#32691: OpenMolcas
References: <87d0tkk6gh.fsf@HIDDEN> <87h8isjund.fsf@HIDDEN>
Date: Fri, 14 Sep 2018 09:55:50 -0500
In-Reply-To: <87h8isjund.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Fri, 14 Sep 2018 11:27:50 +0200")
Message-ID: <87bm90uo09.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 32691
Cc: 32691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

ludo@HIDDEN (Ludovic Court=C3=A8s) writes:

> Here=E2=80=99s a revision of the patch with several modifications: I added
> comments in the patch (though they don=E2=80=99t explain the Python-relat=
ed
> changes for instance; could you add a line about these?), stripped
> unnecessary additions from the patch, added it to gnu/local.mk, fixed
> an issue reported by =E2=80=98guix lint=E2=80=99 in the description.
>
> However, could you explain why we have #:tests? #f ?  In general
> disabling tests should be accompanied with a comment explaining the
> reason (lack of a test suite, or =E2=80=9Cunsolvable=E2=80=9D test failur=
es.)  If there
> are test failures, we=E2=80=99d rather investigate than disable the tests.
>
> Could you send an updated patch?
>

Hi Ludo':

Thank you for your fixes! I've attached a revised patch. I'm well beyond
my comfort zone, so I hope it applies cleanly and works.

The default location of pymolcas is a little sketchy, being placed in
the first writable location in PATH, and I believe will not be fixed
upstream:

https://gitlab.com/Molcas/OpenMolcas/issues/70

I have added comments to the chemistry.scm file.

I have removed the out-of-source build statement and re-enabled tests,
simply by omitting those flags.

Best regards,
Eric


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline; filename=openmolcas-v2.patch
Content-Transfer-Encoding: quoted-printable

From 315c2a58310f2af32cdbd59c97a10911c390ddd3 Mon Sep 17 00:00:00 2001
From: Eric Brown <brown@HIDDEN>
Date: Fri, 14 Sep 2018 09:27:35 -0500
Subject: [PATCH] gnu: Add openmolcas and openblas-ilp64.

* gnu/packages/chemistry.scm (openmolcas): New variable.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/chemistry.scm                    | 56 ++++++++++++
 .../openmolcas-pymolcas-openblas.patch        | 89 +++++++++++++++++++
 3 files changed, 146 insertions(+)
 create mode 100644 gnu/packages/patches/openmolcas-pymolcas-openblas.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 7b230cb6f..0974ce068 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1006,6 +1006,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/opencascade-oce-glibc-2.26.patch		\
   %D%/packages/patches/openfoam-4.1-cleanup.patch			\
   %D%/packages/patches/openldap-CVE-2017-9287.patch		\
+  %D%/packages/patches/openmolcas-pymolcas-openblas.patch	\
   %D%/packages/patches/openocd-nrf52.patch			\
   %D%/packages/patches/opensmtpd-fix-crash.patch		\
   %D%/packages/patches/openssl-runpath.patch			\
diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 03120aaee..d5461b08f 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2018 Konrad Hinsen <konrad.hinsen@HIDDEN>
 ;;; Copyright =C2=A9 2018 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,12 +27,16 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages tex)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -322,3 +327,54 @@ chemical data.  It's a collaborative project allowing =
anyone to search, convert,
 analyze, or store data from molecular modeling, chemistry, solid-state
 materials, biochemistry, or related areas.")
     (license license:gpl2)))
+
+(define-public openmolcas
+  (package
+    (name "openmolcas")
+    (version "18.09")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.com/Molcas/OpenMolcas"
+                                  "/-/archive/v" version "/OpenMolcas-v"
+                                  version ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1krrkff5b4zp9ii1m9v3zzw8d99k72fcwwv3rif8cp10cpxi1wxl"))
+              (patches
+               ;; by default, pymolcas is installed in the first writable
+               ;; directory in the user's PATH. This patch places it in the
+               ;; bin directory alongside the other OpenMolcas binaries.
+               ;; The default search for the OpenBLAS library is obviated =
and
+               ;; the path is supplied as an argument to CMake.
+               (search-patches "openmolcas-pymolcas-openblas.patch"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:build-type "Release"
+       #:configure-flags
+       (list "-DLINALG=3DOpenBLAS"
+             (string-append "-DOPENBLASROOT=3D"
+                            (assoc-ref %build-inputs "blas"))
+             (string-append "-DLINALG_LIBRARIES=3D"
+                            (assoc-ref %build-inputs "blas")
+                            "/lib/libopenblas_ilp64.so"))))
+    (native-inputs
+     `(("fortran" ,gfortran)
+       ("ghostscript" ,ghostscript)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)
+       ("python-pyparsing" ,python-pyparsing)
+       ("python-six" ,python-six)
+       ("texlive" ,texlive)))
+    (inputs
+     `(("hdf5" ,hdf5)
+       ("blas" ,openblas-ilp64)))
+    (home-page "https://gitlab.com/Molcas/OpenMolcas")
+    (synopsis "Multi-reference electronic structure theory program")
+    (description "OpenMolcas is a quantum chemistry software package devel=
oped
+by scientists and intended to be used by scientists.  It includes programs=
 to
+apply many different electronic structure methods to chemical systems, but=
 its
+key feature is the multiconfigurational approach, with methods like CASSCF=
 and
+CASPT2.")
+    (license license:lgpl2.1)))
diff --git a/gnu/packages/patches/openmolcas-pymolcas-openblas.patch b/gnu/=
packages/patches/openmolcas-pymolcas-openblas.patch
new file mode 100644
index 000000000..b18c62e05
--- /dev/null
+++ b/gnu/packages/patches/openmolcas-pymolcas-openblas.patch
@@ -0,1 +1,89 @@
+Allow bulds with openblas-ilp64.
+Remove assumptions about $HOME.
+
+diff --git OpenMolcas-v18.09/CMakeLists.txt OpenMolcas-v18.09/CMakeLists.t=
xt
+index a4071fd..53d8df5 100644
+--- OpenMolcas-v18.09/CMakeLists.txt
++++ OpenMolcas-v18.09/CMakeLists.txt
+@@ -1338,42 +1338,8 @@ if (LINALG STREQUAL "OpenBLAS")
+         endif ()
+=20
+         # search for the OpenBLAS library
+-        find_library (LIBOPENBLAS
+-                NAMES openblas
+-                PATHS ${OPENBLASROOT}
+-                PATH_SUFFIXES lib
+-                NO_DEFAULT_PATH)
+-
+-        if (NOT LIBOPENBLAS)
+-                message (FATAL_ERROR
+-                        "OpenBLAS library not found, please check that "
+-                        "the OPENBLASROOT variable is set and points to "
+-                        "a valid OpenBLAS installation directory."
+-                        )
+-        endif ()
+-
+-        # here we check if LIBOPENBLAS has changed after it was processed
+-        # succesfully, if not we do not need to rerun anything here.
+-        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
+-                # check if the OpenBLAS library contains LAPACK functiona=
lity
+-                message ("-- Checking OpenBLAS for LAPACK functionality..=
.")
+-                include(CheckFortranFunctionExists)
+-                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
+-                unset (OPENBLAS_WITH_LAPACK CACHE)
+-                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPAC=
K)
+-                if (NOT OPENBLAS_WITH_LAPACK)
+-                        unset (LIBOPENBLAS CACHE)
+-                        message (FATAL_ERROR
+-                                "LAPACK functionality missing from OpenBL=
AS library, "
+-                                "please build OpenBLAS with NO_LAPACK=3D0=
 defined."
+-                                )
+-                endif ()
+-                # save the last location to check if it changed between c=
onfigurations
+-                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "last=
 value." FORCE)
+-        endif ()
+-
+         add_definitions (-D_OPENBLAS_)
+-        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++        set (LINALG_LIBRARIES ${LINALG_LIBRARIES})
+ else ()
+         mark_as_advanced(FORCE OPENBLASROOT)
+ endif ()
+@@ -3167,11 +3168,10 @@ install (PROGRAMS
+ if (DEFINED PYMOLCAS_TARGET)
+         install (PROGRAMS
+                 ${PYMOLCAS_TARGET}
+-                DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin
++                DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 RENAME pymolcas
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_pymolcas.sh ${PYMOLCAS_TARGET})")
+ endif ()
+=20
+ if (DEFINED EXTRA_DIR)
+@@ -3188,9 +3189,5 @@ if (DEFINED EXTRA_DIR)
+                 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_driver.sh ${MOLCAS_DRIVER})")
+ endif ()
+=20
+-if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
+-        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_INS=
TALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
+-endif ()
+diff --git OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt OpenMolcas-v18.=
09/Tools/pymolcas/CMakeLists.txt
+index 0d576fa..f9ba6d7 100644
+--- OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt
++++ OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt
+@@ -52,9 +52,5 @@ if (PYTHONINTERP_FOUND)
+                         DEPENDS ${PYMOLCAS_TARGET}
+                         )
+=20
+-                add_custom_command (TARGET pymolcas
+-                        POST_BUILD
+-                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.s=
h ${PYMOLCAS_TARGET}
+-                )
+=20
+         endif ()
+
--=20
2.19.0


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: attachment; filename=openmolcas-v2.patch
Content-Transfer-Encoding: quoted-printable

From 315c2a58310f2af32cdbd59c97a10911c390ddd3 Mon Sep 17 00:00:00 2001
From: Eric Brown <brown@HIDDEN>
Date: Fri, 14 Sep 2018 09:27:35 -0500
Subject: [PATCH] gnu: Add openmolcas and openblas-ilp64.

* gnu/packages/chemistry.scm (openmolcas): New variable.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/chemistry.scm                    | 56 ++++++++++++
 .../openmolcas-pymolcas-openblas.patch        | 89 +++++++++++++++++++
 3 files changed, 146 insertions(+)
 create mode 100644 gnu/packages/patches/openmolcas-pymolcas-openblas.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 7b230cb6f..0974ce068 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1006,6 +1006,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/opencascade-oce-glibc-2.26.patch		\
   %D%/packages/patches/openfoam-4.1-cleanup.patch			\
   %D%/packages/patches/openldap-CVE-2017-9287.patch		\
+  %D%/packages/patches/openmolcas-pymolcas-openblas.patch	\
   %D%/packages/patches/openocd-nrf52.patch			\
   %D%/packages/patches/opensmtpd-fix-crash.patch		\
   %D%/packages/patches/openssl-runpath.patch			\
diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 03120aaee..d5461b08f 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2018 Konrad Hinsen <konrad.hinsen@HIDDEN>
 ;;; Copyright =C2=A9 2018 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,12 +27,16 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages tex)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -322,3 +327,54 @@ chemical data.  It's a collaborative project allowing =
anyone to search, convert,
 analyze, or store data from molecular modeling, chemistry, solid-state
 materials, biochemistry, or related areas.")
     (license license:gpl2)))
+
+(define-public openmolcas
+  (package
+    (name "openmolcas")
+    (version "18.09")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.com/Molcas/OpenMolcas"
+                                  "/-/archive/v" version "/OpenMolcas-v"
+                                  version ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1krrkff5b4zp9ii1m9v3zzw8d99k72fcwwv3rif8cp10cpxi1wxl"))
+              (patches
+               ;; by default, pymolcas is installed in the first writable
+               ;; directory in the user's PATH. This patch places it in the
+               ;; bin directory alongside the other OpenMolcas binaries.
+               ;; The default search for the OpenBLAS library is obviated =
and
+               ;; the path is supplied as an argument to CMake.
+               (search-patches "openmolcas-pymolcas-openblas.patch"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:build-type "Release"
+       #:configure-flags
+       (list "-DLINALG=3DOpenBLAS"
+             (string-append "-DOPENBLASROOT=3D"
+                            (assoc-ref %build-inputs "blas"))
+             (string-append "-DLINALG_LIBRARIES=3D"
+                            (assoc-ref %build-inputs "blas")
+                            "/lib/libopenblas_ilp64.so"))))
+    (native-inputs
+     `(("fortran" ,gfortran)
+       ("ghostscript" ,ghostscript)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)
+       ("python-pyparsing" ,python-pyparsing)
+       ("python-six" ,python-six)
+       ("texlive" ,texlive)))
+    (inputs
+     `(("hdf5" ,hdf5)
+       ("blas" ,openblas-ilp64)))
+    (home-page "https://gitlab.com/Molcas/OpenMolcas")
+    (synopsis "Multi-reference electronic structure theory program")
+    (description "OpenMolcas is a quantum chemistry software package devel=
oped
+by scientists and intended to be used by scientists.  It includes programs=
 to
+apply many different electronic structure methods to chemical systems, but=
 its
+key feature is the multiconfigurational approach, with methods like CASSCF=
 and
+CASPT2.")
+    (license license:lgpl2.1)))
diff --git a/gnu/packages/patches/openmolcas-pymolcas-openblas.patch b/gnu/=
packages/patches/openmolcas-pymolcas-openblas.patch
new file mode 100644
index 000000000..b18c62e05
--- /dev/null
+++ b/gnu/packages/patches/openmolcas-pymolcas-openblas.patch
@@ -0,1 +1,89 @@
+Allow bulds with openblas-ilp64.
+Remove assumptions about $HOME.
+
+diff --git OpenMolcas-v18.09/CMakeLists.txt OpenMolcas-v18.09/CMakeLists.t=
xt
+index a4071fd..53d8df5 100644
+--- OpenMolcas-v18.09/CMakeLists.txt
++++ OpenMolcas-v18.09/CMakeLists.txt
+@@ -1338,42 +1338,8 @@ if (LINALG STREQUAL "OpenBLAS")
+         endif ()
+=20
+         # search for the OpenBLAS library
+-        find_library (LIBOPENBLAS
+-                NAMES openblas
+-                PATHS ${OPENBLASROOT}
+-                PATH_SUFFIXES lib
+-                NO_DEFAULT_PATH)
+-
+-        if (NOT LIBOPENBLAS)
+-                message (FATAL_ERROR
+-                        "OpenBLAS library not found, please check that "
+-                        "the OPENBLASROOT variable is set and points to "
+-                        "a valid OpenBLAS installation directory."
+-                        )
+-        endif ()
+-
+-        # here we check if LIBOPENBLAS has changed after it was processed
+-        # succesfully, if not we do not need to rerun anything here.
+-        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
+-                # check if the OpenBLAS library contains LAPACK functiona=
lity
+-                message ("-- Checking OpenBLAS for LAPACK functionality..=
.")
+-                include(CheckFortranFunctionExists)
+-                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
+-                unset (OPENBLAS_WITH_LAPACK CACHE)
+-                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPAC=
K)
+-                if (NOT OPENBLAS_WITH_LAPACK)
+-                        unset (LIBOPENBLAS CACHE)
+-                        message (FATAL_ERROR
+-                                "LAPACK functionality missing from OpenBL=
AS library, "
+-                                "please build OpenBLAS with NO_LAPACK=3D0=
 defined."
+-                                )
+-                endif ()
+-                # save the last location to check if it changed between c=
onfigurations
+-                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "last=
 value." FORCE)
+-        endif ()
+-
+         add_definitions (-D_OPENBLAS_)
+-        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++        set (LINALG_LIBRARIES ${LINALG_LIBRARIES})
+ else ()
+         mark_as_advanced(FORCE OPENBLASROOT)
+ endif ()
+@@ -3167,11 +3168,10 @@ install (PROGRAMS
+ if (DEFINED PYMOLCAS_TARGET)
+         install (PROGRAMS
+                 ${PYMOLCAS_TARGET}
+-                DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin
++                DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 RENAME pymolcas
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_pymolcas.sh ${PYMOLCAS_TARGET})")
+ endif ()
+=20
+ if (DEFINED EXTRA_DIR)
+@@ -3188,9 +3189,5 @@ if (DEFINED EXTRA_DIR)
+                 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_driver.sh ${MOLCAS_DRIVER})")
+ endif ()
+=20
+-if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
+-        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_INS=
TALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
+-endif ()
+diff --git OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt OpenMolcas-v18.=
09/Tools/pymolcas/CMakeLists.txt
+index 0d576fa..f9ba6d7 100644
+--- OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt
++++ OpenMolcas-v18.09/Tools/pymolcas/CMakeLists.txt
+@@ -52,9 +52,5 @@ if (PYTHONINTERP_FOUND)
+                         DEPENDS ${PYMOLCAS_TARGET}
+                         )
+=20
+-                add_custom_command (TARGET pymolcas
+-                        POST_BUILD
+-                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.s=
h ${PYMOLCAS_TARGET}
+-                )
+=20
+         endif ()
+
--=20
2.19.0


--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#32691; Package guix. Full text available.

Message received at 32691 <at> debbugs.gnu.org:


Received: (at 32691) by debbugs.gnu.org; 14 Sep 2018 09:28:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 14 05:28:11 2018
Received: from localhost ([127.0.0.1]:40052 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1g0kOS-0001FK-2I
	for submit <at> debbugs.gnu.org; Fri, 14 Sep 2018 05:28:11 -0400
Received: from eggs.gnu.org ([208.118.235.92]:52292)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1g0kOQ-0001Eq-0U
 for 32691 <at> debbugs.gnu.org; Fri, 14 Sep 2018 05:28:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <ludo@HIDDEN>) id 1g0kOH-0000Qt-Kn
 for 32691 <at> debbugs.gnu.org; Fri, 14 Sep 2018 05:27:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:58767)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1g0kOH-0000Ql-Dl; Fri, 14 Sep 2018 05:27:53 -0400
Received: from [193.50.110.53] (port=50490 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1g0kOH-0007rf-46; Fri, 14 Sep 2018 05:27:53 -0400
From: ludo@HIDDEN (Ludovic =?utf-8?Q?Court=C3=A8s?=)
To: Eric Brown <brown@HIDDEN>
Subject: Re: bug#32691: OpenMolcas
References: <87d0tkk6gh.fsf@HIDDEN>
Date: Fri, 14 Sep 2018 11:27:50 +0200
In-Reply-To: <87d0tkk6gh.fsf@HIDDEN> (Eric Brown's message of "Mon, 10
 Sep 2018 23:23:42 -0500")
Message-ID: <87h8isjund.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 32691
Cc: 32691 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Eric,

Eric Brown <brown@HIDDEN> skribis:

> I am pleased to submit a patch that adds OpenMolcas to Guix. Also
> included in this submission is a new variable called `openblas-ilp64'
> which OpenMolcas needs to compile and run.

Here=E2=80=99s a revision of the patch with several modifications: I added
comments in the patch (though they don=E2=80=99t explain the Python-related
changes for instance; could you add a line about these?), stripped
unnecessary additions from the patch, added it to gnu/local.mk, fixed
an issue reported by =E2=80=98guix lint=E2=80=99 in the description.

However, could you explain why we have #:tests? #f ?  In general
disabling tests should be accompanied with a comment explaining the
reason (lack of a test suite, or =E2=80=9Cunsolvable=E2=80=9D test failures=
.)  If there
are test failures, we=E2=80=99d rather investigate than disable the tests.

Could you send an updated patch?

Thanks in advance!

Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline; filename=0001-gnu-Add-openmolcas.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: the patch

From c001d557e1cb23042c092c23d7612ad6197fac3c Mon Sep 17 00:00:00 2001
From: Eric Brown <brown@HIDDEN>
Date: Mon, 10 Sep 2018 23:12:51 -0500
Subject: [PATCH] gnu: Add openmolcas.
MIME-Version: 1.0
Content-Type: text/plain; charset=3DUTF-8
Content-Transfer-Encoding: 8bit

* gnu/packages/chemistry.scm (openmolcas): New variable.
* gnu/packages/patches/openmolcas-pymolcas-openblas.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.

Signed-off-by: Ludovic Court=C3=A8s <ludo@HIDDEN>
---
 gnu/local.mk                                  |  1 +
 gnu/packages/chemistry.scm                    | 52 +++++++++++
 .../openmolcas-pymolcas-openblas.patch        | 89 +++++++++++++++++++
 3 files changed, 142 insertions(+)
 create mode 100644 gnu/packages/patches/openmolcas-pymolcas-openblas.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 7b230cb6f..0974ce068 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -1006,6 +1006,7 @@ dist_patch_DATA =3D						\
   %D%/packages/patches/opencascade-oce-glibc-2.26.patch		\
   %D%/packages/patches/openfoam-4.1-cleanup.patch			\
   %D%/packages/patches/openldap-CVE-2017-9287.patch		\
+  %D%/packages/patches/openmolcas-pymolcas-openblas.patch	\
   %D%/packages/patches/openocd-nrf52.patch			\
   %D%/packages/patches/opensmtpd-fix-crash.patch		\
   %D%/packages/patches/openssl-runpath.patch			\
diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 03120aaee..58151afce 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2018 Konrad Hinsen <konrad.hinsen@HIDDEN>
 ;;; Copyright =C2=A9 2018 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,12 +27,16 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages tex)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -322,3 +327,50 @@ chemical data.  It's a collaborative project allowing =
anyone to search, convert,
 analyze, or store data from molecular modeling, chemistry, solid-state
 materials, biochemistry, or related areas.")
     (license license:gpl2)))
+
+(define-public openmolcas
+  (package
+    (name "openmolcas")
+    (version "18.09")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.com/Molcas/OpenMolcas"
+                                  "/-/archive/v" version "/OpenMolcas-v"
+                                  version ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1krrkff5b4zp9ii1m9v3zzw8d99k72fcwwv3rif8cp10cpxi1wxl"))
+              (patches (search-patches "openmolcas-pymolcas-openblas.patch=
"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:out-of-source? #t
+       #:tests? #f
+       #:build-type "Release"
+       #:configure-flags
+       (list "-DLINALG=3DOpenBLAS"
+             (string-append "-DOPENBLASROOT=3D"
+                            (assoc-ref %build-inputs "blas"))
+             (string-append "-DLINALG_LIBRARIES=3D"
+                            (assoc-ref %build-inputs "blas")
+                            "/lib/libopenblas_ilp64.so"))))
+    (native-inputs
+     `(("fortran" ,gfortran)
+       ("ghostscript" ,ghostscript)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)
+       ("python-pyparsing" ,python-pyparsing)
+       ("python-six" ,python-six)
+       ("texlive" ,texlive)))
+    (inputs
+     `(("hdf5" ,hdf5)
+       ("blas" ,openblas-ilp64)))
+    (home-page "https://gitlab.com/Molcas/OpenMolcas")
+    (synopsis "Multi-reference electronic structure theory program")
+    (description "OpenMolcas is a quantum chemistry software package devel=
oped
+by scientists and intended to be used by scientists.  It includes programs=
 to
+apply many different electronic structure methods to chemical systems, but=
 its
+key feature is the multiconfigurational approach, with methods like CASSCF=
 and
+CASPT2.")
+    (license license:lgpl2.1)))
diff --git a/gnu/packages/patches/openmolcas-pymolcas-openblas.patch b/gnu/=
packages/patches/openmolcas-pymolcas-openblas.patch
new file mode 100644
index 000000000..b18c62e05
--- /dev/null
+++ b/gnu/packages/patches/openmolcas-pymolcas-openblas.patch
@@ -0,0 +1,89 @@
+Allow bulds with openblas-ilp64.
+Remove assumptions about $HOME.
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index a4071fd..53d8df5 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1338,42 +1338,8 @@ if (LINALG STREQUAL "OpenBLAS")
+         endif ()
+=20
+         # search for the OpenBLAS library
+-        find_library (LIBOPENBLAS
+-                NAMES openblas
+-                PATHS ${OPENBLASROOT}
+-                PATH_SUFFIXES lib
+-                NO_DEFAULT_PATH)
+-
+-        if (NOT LIBOPENBLAS)
+-                message (FATAL_ERROR
+-                        "OpenBLAS library not found, please check that "
+-                        "the OPENBLASROOT variable is set and points to "
+-                        "a valid OpenBLAS installation directory."
+-                        )
+-        endif ()
+-
+-        # here we check if LIBOPENBLAS has changed after it was processed
+-        # succesfully, if not we do not need to rerun anything here.
+-        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
+-                # check if the OpenBLAS library contains LAPACK functiona=
lity
+-                message ("-- Checking OpenBLAS for LAPACK functionality..=
.")
+-                include(CheckFortranFunctionExists)
+-                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
+-                unset (OPENBLAS_WITH_LAPACK CACHE)
+-                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPAC=
K)
+-                if (NOT OPENBLAS_WITH_LAPACK)
+-                        unset (LIBOPENBLAS CACHE)
+-                        message (FATAL_ERROR
+-                                "LAPACK functionality missing from OpenBL=
AS library, "
+-                                "please build OpenBLAS with NO_LAPACK=3D0=
 defined."
+-                                )
+-                endif ()
+-                # save the last location to check if it changed between c=
onfigurations
+-                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "last=
 value." FORCE)
+-        endif ()
+-
+         add_definitions (-D_OPENBLAS_)
+-        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++        set (LINALG_LIBRARIES ${LINALG_LIBRARIES})
+ else ()
+         mark_as_advanced(FORCE OPENBLASROOT)
+ endif ()
+@@ -3167,11 +3168,10 @@ install (PROGRAMS
+ if (DEFINED PYMOLCAS_TARGET)
+         install (PROGRAMS
+                 ${PYMOLCAS_TARGET}
+-                DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin
++                DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 RENAME pymolcas
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_pymolcas.sh ${PYMOLCAS_TARGET})")
+ endif ()
+=20
+ if (DEFINED EXTRA_DIR)
+@@ -3188,9 +3189,5 @@ if (DEFINED EXTRA_DIR)
+                 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_driver.sh ${MOLCAS_DRIVER})")
+ endif ()
+=20
+-if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
+-        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_INS=
TALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
+-endif ()
+diff --git a/Tools/pymolcas/CMakeLists.txt b/Tools/pymolcas/CMakeLists.txt
+index 0d576fa..f9ba6d7 100644
+--- a/Tools/pymolcas/CMakeLists.txt
++++ b/Tools/pymolcas/CMakeLists.txt
+@@ -52,9 +52,5 @@ if (PYTHONINTERP_FOUND)
+                         DEPENDS ${PYMOLCAS_TARGET}
+                         )
+=20
+-                add_custom_command (TARGET pymolcas
+-                        POST_BUILD
+-                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.s=
h ${PYMOLCAS_TARGET}
+-                )
+=20
+         endif ()
+
--=20
2.18.0


--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#32691; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 11 Sep 2018 04:24:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 11 00:24:39 2018
Received: from localhost ([127.0.0.1]:36013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1fzaE6-0004YG-LZ
	for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 00:24:38 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45821)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <brown@HIDDEN>) id 1fzaDz-0004Xy-Vb
 for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 00:24:32 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brown@HIDDEN>) id 1fzaDq-0006pN-41
 for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 00:24:22 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:51993)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brown@HIDDEN>) id 1fzaDk-0006nD-EW
 for submit <at> debbugs.gnu.org; Tue, 11 Sep 2018 00:24:15 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38328)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <brown@HIDDEN>) id 1fzaDd-0004fA-Ij
 for bug-guix@HIDDEN; Tue, 11 Sep 2018 00:24:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <brown@HIDDEN>) id 1fzaDS-0006fU-Ju
 for bug-guix@HIDDEN; Tue, 11 Sep 2018 00:24:02 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:39639)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <brown@HIDDEN>) id 1fzaDK-0006bY-Tq
 for bug-guix@HIDDEN; Tue, 11 Sep 2018 00:23:49 -0400
Received: from compute7.internal (compute7.nyi.internal [10.202.2.47])
 by mailout.nyi.internal (Postfix) with ESMTP id 4CA1D21F05
 for <bug-guix@HIDDEN>; Tue, 11 Sep 2018 00:23:44 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute7.internal (MEProxy); Tue, 11 Sep 2018 00:23:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 content-type:date:from:message-id:mime-version:subject:to
 :x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=LW8qa67UpfVyxARM1
 i5MTtjWGDErvWBG6dp6mEKnFpg=; b=i3bQ4tmzUfAquAXpZvEKmRdj023RsDB/G
 VyGtrt89lDiwyPnAgW64sVfgM6BxQu2MtKI51uREq5acehszc5cG/vMb9Vwd884q
 YaC2rGbxzKzAdHjg2ztafd7oEA7Lo17Gbbd5G7cAsg7BxM2UrFlaQhbQb0IX4LM7
 Dfb8N72OF322e/qHx/yufb8Z5iC/vUSlYd58hWsGOshg1bNsaZtooLlPQ5vY7eGE
 J5tjhn6l+sH4nUVNbB+UK8Q0uDkVciiwTiiNRrOx4fq65+5yIWZI2eEp+VrtTq0q
 TCI3Irrmmp1yX+lfw8Ggi0anas0SGu6ZBR+b0k7XCiuoVHxS/vinA==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=content-type:date:from:message-id
 :mime-version:subject:to:x-me-sender:x-me-sender:x-sasl-enc; s=
 fm3; bh=LW8qa67UpfVyxARM1i5MTtjWGDErvWBG6dp6mEKnFpg=; b=uZghsYP5
 Q9KF3AW3JDU4s636q9P/MrBiaFDImoEc+NfmaCTyv/0rhPrHg5CQVh1XbQIWNQUq
 AEDx+tVqOPf06FZTZQ2FJHEEB4H13+WAHtc40y5Ec5o9YHWDXCGBrqccxBGIyfdg
 ALDGlaTPsfr5qRR9oNw2WQ1o3K6hzT5zgdcZrbiZAwTo0ZGU+9EGEsjCGxxKofdt
 bWX38qruSWCFHSkBlpgGQVZe3K92zHXqeUK9HrGR9nBJWx+Pg7j7EPcHK4HIpvG2
 PTYOAmF1j0MmyvA48BVjty2gFrPe9mmFnMZYFHyy8yEUww3ysjweUvhHmJuKS6aj
 rYd7C5BTvchbdA==
X-ME-Proxy: <xmx:UEOXW75wmfYIRtOhpOYjaZPU-hMICyNiBwFGjCcKgSE9Tm-r-6HUHQ>
 <xmx:UEOXW6hnXGnFNDD2GvrpwFDbxIGi87PrGNcvNEx8SHsTky2B8oO85Q>
 <xmx:UEOXWycKK9IzrtMY5v-W9qySKyKqzYMvlI5QRveRTGCLHacD6RWikw>
 <xmx:UEOXW_dk5Ike5yoDkZIlXt6E-3tU7iD5Azs7pjMIoTU-L5a8oYYrqg>
 <xmx:UEOXW89qcxfGNvxuntRJrER9qpl0XtmnS27nhESt4XAwq4XPTMYfhg>
 <xmx:UEOXW7306cUYx2XdmUeFDpORqKg8JJcEC1irS40N8moAIlZeeWQZ1g>
X-ME-Sender: <xms:UEOXWyCAxDd06el6N6dTHkGCgs_CG_AP4AHjBmgtf7fR38ZO97m9Rg>
Received: from localhost (c-24-12-214-32.hsd1.il.comcast.net [24.12.214.32])
 by mail.messagingengine.com (Postfix) with ESMTPA id BAE7E102A2
 for <bug-guix@HIDDEN>; Tue, 11 Sep 2018 00:23:43 -0400 (EDT)
From: Eric Brown <brown@HIDDEN>
To: bug-guix@HIDDEN
Subject: OpenMolcas
Date: Mon, 10 Sep 2018 23:23:42 -0500
Message-ID: <87d0tkk6gh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.3 (/)

--=-=-=
Content-Type: text/plain

Dear Guix:

I am pleased to submit a patch that adds OpenMolcas to Guix. Also
included in this submission is a new variable called `openblas-ilp64'
which OpenMolcas needs to compile and run.

I would like to point out that I have already submitted the
openblas-ilp64 patch to the list for approval, and I am aware that this
submission may need to be revised to include just the program of
immediate interest.

Best regards,
Eric


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-Add-openmolcas-and-openblas-ilp64.patch
Content-Transfer-Encoding: quoted-printable

From 784cb74747adcc513b75b16b9247bd3dc9a484a3 Mon Sep 17 00:00:00 2001
From: Eric Brown <brown@HIDDEN>
Date: Mon, 10 Sep 2018 23:12:51 -0500
Subject: [PATCH] gnu: Add openmolcas and openblas-ilp64.

* gnu/packages/chemistry.scm (openmolcas): New variable.
* gnu/packages/maths.scm (openblas-ilp64): New variable.
---
 gnu/packages/chemistry.scm                    |  55 ++++++++
 gnu/packages/maths.scm                        |  71 ++++++++++
 .../openmolcas-pymolcas-openblas.patch        | 131 ++++++++++++++++++
 3 files changed, 257 insertions(+)
 create mode 100644 gnu/packages/patches/openmolcas-pymolcas-openblas.patch

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 03120aaee..b4064ee8c 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2018 Konrad Hinsen <konrad.hinsen@HIDDEN>
 ;;; Copyright =C2=A9 2018 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,12 +27,16 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages tex)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -322,3 +327,53 @@ chemical data.  It's a collaborative project allowing =
anyone to search, convert,
 analyze, or store data from molecular modeling, chemistry, solid-state
 materials, biochemistry, or related areas.")
     (license license:gpl2)))
+
+(define-public openmolcas
+  (package
+    (name "openmolcas")
+    (version "18.09")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.com/Molcas/OpenMolcas"
+                                  "/-/archive/v" version "/OpenMolcas-v"
+                                  version ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1krrkff5b4zp9ii1m9v3zzw8d99k72fcwwv3rif8cp10cpxi1wxl"))
+              (patches (search-patches "openmolcas-pymolcas-openblas.patch=
"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:out-of-source? #t
+       #:tests? #f
+       #:build-type "Release"
+       #:parallel-build? #t
+       #:configure-flags
+       (list "-DLINALG=3DOpenBLAS"
+             (string-append "-DOPENBLASROOT=3D"
+                            (assoc-ref %build-inputs "blas"))
+             (string-append "-DLINALG_LIBRARIES=3D"
+                            (assoc-ref %build-inputs "blas")
+                            "/lib/libopenblas_ilp64.so"))))
+    (native-inputs
+     `(("fortran" ,gfortran)
+       ("gcc" ,gcc)
+       ("ghostscript" ,ghostscript)
+       ("hdf5" ,hdf5)
+       ("blas" ,openblas-ilp64)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)
+       ("python-pyparsing" ,python-pyparsing)
+       ("python-six" ,python-six)
+       ("texlive" ,texlive)))
+    (inputs
+     `())
+    (home-page "https://gitlab.com/Molcas/OpenMolcas")
+    (synopsis "Multi-reference electronic structure theory program")
+    (description "OpenMolcas is a quantum chemistry software package devel=
oped
+by scientists and intended to be used by scientists. It includes programs =
to
+apply many different electronic structure methods to chemical systems, but=
 its
+key feature is the multiconfigurational approach, with methods like CASSCF=
 and
+CASPT2.")
+    (license license:lgpl2.1)))
diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 01bd03c60..5f1dfec8a 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -27,6 +27,7 @@
 ;;; Copyright =C2=A9 2018 Nadya Voronova <voronovank@HIDDEN>
 ;;; Copyright =C2=A9 2018 Adam Massmann <massmannak@HIDDEN>
 ;;; Copyright =C2=A9 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2909,6 +2910,76 @@ parts of it.")
      "OpenBLAS is a BLAS library forked from the GotoBLAS2-1.13 BSD versio=
n.")
     (license license:bsd-3)))
=20
+(define-public openblas-ilp64
+  (package
+    (name "openblas-ilp64")
+    (version "0.3.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/openblas/v" version "/Ope=
nBLAS%20"
+                           version "%20version.tar.gz"))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0b20km2jv7m6qiylrlvhq2vnmkmilb633mr8rhqmgbn1wqrp58jq"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:test-target "test"
+       ;; DYNAMIC_ARCH is only supported on x86.  When it is disabled and =
no
+       ;; TARGET is specified, OpenBLAS will tune itself to the build host=
, so
+       ;; we need to disable substitutions.
+       #:substitutable?
+        ,(let ((system (or (%current-target-system) (%current-system))))
+           (or (string-prefix? "x86_64" system)
+               (string-prefix? "i686" system)
+               (string-prefix? "mips" system)
+               (string-prefix? "aarch64" system)))
+       #:make-flags
+       (list (string-append "PREFIX=3D" (assoc-ref %outputs "out"))
+             "SHELL=3Dbash"
+             ;; Build the library for all supported CPUs.  This allows
+             ;; switching CPU targets at runtime with the environment vari=
able
+             ;; OPENBLAS_CORETYPE=3D<type>, where "type" is a supported CP=
U type.
+             ;; Unfortunately, this is not supported on non-x86 architectu=
res,
+             ;; where it leads to failed builds.
+             ,@(let ((system (or (%current-target-system) (%current-system=
))))
+                 (cond
+                  ((or (string-prefix? "x86_64" system)
+                       (string-prefix? "i686" system))
+                   '("DYNAMIC_ARCH=3D1" "INTERFACE64=3D1" "LIBNAMESUFFIX=
=3Dilp64"))
+                  ;; On MIPS we force the "SICORTEX" TARGET, as for the ot=
her
+                  ;; two available MIPS targets special extended instructi=
ons
+                  ;; for Loongson cores are used.
+                  ((string-prefix? "mips" system)
+                   '("TARGET=3DSICORTEX" "INTERFACE64=3D1" "LIBNAMESUFFIX=
=3Dilp64"))
+                  ;; On aarch64 force the generic 'armv8-a' target
+                  ((string-prefix? "aarch64" system)
+                   '("TARGET=3DARMV8" "INTERFACE64=3D1" "LIBNAMESUFFIX=3Di=
lp64"))
+                  (else '("INTERFACE64=3D1" "LIBNAMESUFFIX=3Dilp64")))))
+       ;; no configure script
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (add-before 'build 'set-extralib
+           (lambda* (#:key inputs #:allow-other-keys)
+             ;; Get libgfortran found when building in utest.
+             (setenv "FEXTRALIB"
+                     (string-append "-L" (assoc-ref inputs "fortran-lib")
+                                    "/lib"))
+             #t)))))
+    (inputs
+     `(("fortran-lib" ,gfortran "lib")))
+    (native-inputs
+     `(("cunit" ,cunit)
+       ("fortran" ,gfortran)
+       ("perl" ,perl)))
+    (home-page "http://www.openblas.net/")
+    (synopsis "Optimized BLAS library based on GotoBLAS (ILP64 version)")
+    (description
+     "OpenBLAS is a BLAS library forked from the GotoBLAS2-1.13 BSD versio=
n. (ILP64 version)")
+    (license license:bsd-3)))
+
 (define* (make-blis implementation #:optional substitutable?)
   "Return a BLIS package with the given IMPLEMENTATION (see config/ in the
 source tree for a list of implementations.)
diff --git a/gnu/packages/patches/openmolcas-pymolcas-openblas.patch b/gnu/=
packages/patches/openmolcas-pymolcas-openblas.patch
new file mode 100644
index 000000000..2c7feade6
--- /dev/null
+++ b/gnu/packages/patches/openmolcas-pymolcas-openblas.patch
@@ -0,0 +1,131 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index a4071fd..53d8df5 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1338,42 +1338,43 @@ if (LINALG STREQUAL "OpenBLAS")
+         endif ()
+=20
+         # search for the OpenBLAS library
+-        find_library (LIBOPENBLAS
+-                NAMES openblas
+-                PATHS ${OPENBLASROOT}
+-                PATH_SUFFIXES lib
+-                NO_DEFAULT_PATH)
+-
+-        if (NOT LIBOPENBLAS)
+-                message (FATAL_ERROR
+-                        "OpenBLAS library not found, please check that "
+-                        "the OPENBLASROOT variable is set and points to "
+-                        "a valid OpenBLAS installation directory."
+-                        )
+-        endif ()
+-
+-        # here we check if LIBOPENBLAS has changed after it was processed
+-        # succesfully, if not we do not need to rerun anything here.
+-        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
+-                # check if the OpenBLAS library contains LAPACK functiona=
lity
+-                message ("-- Checking OpenBLAS for LAPACK functionality..=
.")
+-                include(CheckFortranFunctionExists)
+-                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
+-                unset (OPENBLAS_WITH_LAPACK CACHE)
+-                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPAC=
K)
+-                if (NOT OPENBLAS_WITH_LAPACK)
+-                        unset (LIBOPENBLAS CACHE)
+-                        message (FATAL_ERROR
+-                                "LAPACK functionality missing from OpenBL=
AS library, "
+-                                "please build OpenBLAS with NO_LAPACK=3D0=
 defined."
+-                                )
+-                endif ()
+-                # save the last location to check if it changed between c=
onfigurations
+-                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "last=
 value." FORCE)
+-        endif ()
+-
+-        add_definitions (-D_OPENBLAS_)
+-        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++#        find_library (LIBOPENBLAS
++#                NAMES openblas
++#                PATHS ${OPENBLASROOT}
++#                PATH_SUFFIXES lib
++#                NO_DEFAULT_PATH)
++#
++#        if (NOT LIBOPENBLAS)
++#                message (FATAL_ERROR
++#                        "OpenBLAS library not found, please check that "
++#                        "the OPENBLASROOT variable is set and points to "
++#                        "a valid OpenBLAS installation directory."
++#                        )
++#        endif ()
++#
++#        # here we check if LIBOPENBLAS has changed after it was processed
++#        # succesfully, if not we do not need to rerun anything here.
++#        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
++#                # check if the OpenBLAS library contains LAPACK function=
ality
++#                message ("-- Checking OpenBLAS for LAPACK functionality.=
..")
++#                include(CheckFortranFunctionExists)
++#                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
++#                unset (OPENBLAS_WITH_LAPACK CACHE)
++#                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPA=
CK)
++#                if (NOT OPENBLAS_WITH_LAPACK)
++#                        unset (LIBOPENBLAS CACHE)
++#                        message (FATAL_ERROR
++#                                "LAPACK functionality missing from OpenB=
LAS library, "
++#                                "please build OpenBLAS with NO_LAPACK=3D=
0 defined."
++#                                )
++#                endif ()
++#                # save the last location to check if it changed between =
configurations
++#                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "las=
t value." FORCE)
++#        endif ()
++#
++        add_definitions (-D_OPENBLAS_)
++#        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++         set (LINALG_LIBRARIES ${LINALG_LIBRARIES})
+ else ()
+         mark_as_advanced(FORCE OPENBLASROOT)
+ endif ()
+@@ -3167,11 +3168,11 @@ install (PROGRAMS
+ if (DEFINED PYMOLCAS_TARGET)
+         install (PROGRAMS
+                 ${PYMOLCAS_TARGET}
+-                DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin
++                DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 RENAME pymolcas
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_pymolcas.sh ${PYMOLCAS_TARGET})")
++#        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/in=
stall_pymolcas.sh ${PYMOLCAS_TARGET})")
+ endif ()
+=20
+ if (DEFINED EXTRA_DIR)
+@@ -3188,9 +3189,9 @@ if (DEFINED EXTRA_DIR)
+                 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_driver.sh ${MOLCAS_DRIVER})")
++#        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/in=
stall_driver.sh ${MOLCAS_DRIVER})")
+ endif ()
+=20
+-if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
+-        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_INS=
TALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
+-endif ()
++#if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
++#        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_IN=
STALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
++#endif ()
+diff --git a/Tools/pymolcas/CMakeLists.txt b/Tools/pymolcas/CMakeLists.txt
+index 0d576fa..f9ba6d7 100644
+--- a/Tools/pymolcas/CMakeLists.txt
++++ b/Tools/pymolcas/CMakeLists.txt
+@@ -52,9 +52,9 @@ if (PYTHONINTERP_FOUND)
+                         DEPENDS ${PYMOLCAS_TARGET}
+                         )
+=20
+-                add_custom_command (TARGET pymolcas
+-                        POST_BUILD
+-                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.s=
h ${PYMOLCAS_TARGET}
+-                )
++#                add_custom_command (TARGET pymolcas
++#                        POST_BUILD
++#                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.=
sh ${PYMOLCAS_TARGET}
++#                )
+=20
+         endif ()
+
--=20
2.18.0


--=-=-=
Content-Type: text/x-diff; charset=utf-8
Content-Disposition: attachment;
 filename=0001-gnu-Add-openmolcas-and-openblas-ilp64.patch
Content-Transfer-Encoding: quoted-printable

From 784cb74747adcc513b75b16b9247bd3dc9a484a3 Mon Sep 17 00:00:00 2001
From: Eric Brown <brown@HIDDEN>
Date: Mon, 10 Sep 2018 23:12:51 -0500
Subject: [PATCH] gnu: Add openmolcas and openblas-ilp64.

* gnu/packages/chemistry.scm (openmolcas): New variable.
* gnu/packages/maths.scm (openblas-ilp64): New variable.
---
 gnu/packages/chemistry.scm                    |  55 ++++++++
 gnu/packages/maths.scm                        |  71 ++++++++++
 .../openmolcas-pymolcas-openblas.patch        | 131 ++++++++++++++++++
 3 files changed, 257 insertions(+)
 create mode 100644 gnu/packages/patches/openmolcas-pymolcas-openblas.patch

diff --git a/gnu/packages/chemistry.scm b/gnu/packages/chemistry.scm
index 03120aaee..b4064ee8c 100644
--- a/gnu/packages/chemistry.scm
+++ b/gnu/packages/chemistry.scm
@@ -1,6 +1,7 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2018 Konrad Hinsen <konrad.hinsen@HIDDEN>
 ;;; Copyright =C2=A9 2018 Kei Kebreau <kkebreau@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -26,12 +27,16 @@
   #:use-module (gnu packages boost)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
+  #:use-module (gnu packages ghostscript)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages gv)
   #:use-module (gnu packages maths)
+  #:use-module (gnu packages perl)
   #:use-module (gnu packages pkg-config)
   #:use-module (gnu packages python)
   #:use-module (gnu packages qt)
+  #:use-module (gnu packages tex)
   #:use-module (gnu packages xml)
   #:use-module (guix build-system cmake)
   #:use-module (guix build-system gnu)
@@ -322,3 +327,53 @@ chemical data.  It's a collaborative project allowing =
anyone to search, convert,
 analyze, or store data from molecular modeling, chemistry, solid-state
 materials, biochemistry, or related areas.")
     (license license:gpl2)))
+
+(define-public openmolcas
+  (package
+    (name "openmolcas")
+    (version "18.09")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append "https://gitlab.com/Molcas/OpenMolcas"
+                                  "/-/archive/v" version "/OpenMolcas-v"
+                                  version ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "1krrkff5b4zp9ii1m9v3zzw8d99k72fcwwv3rif8cp10cpxi1wxl"))
+              (patches (search-patches "openmolcas-pymolcas-openblas.patch=
"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:out-of-source? #t
+       #:tests? #f
+       #:build-type "Release"
+       #:parallel-build? #t
+       #:configure-flags
+       (list "-DLINALG=3DOpenBLAS"
+             (string-append "-DOPENBLASROOT=3D"
+                            (assoc-ref %build-inputs "blas"))
+             (string-append "-DLINALG_LIBRARIES=3D"
+                            (assoc-ref %build-inputs "blas")
+                            "/lib/libopenblas_ilp64.so"))))
+    (native-inputs
+     `(("fortran" ,gfortran)
+       ("gcc" ,gcc)
+       ("ghostscript" ,ghostscript)
+       ("hdf5" ,hdf5)
+       ("blas" ,openblas-ilp64)
+       ("perl" ,perl)
+       ("pkg-config" ,pkg-config)
+       ("python" ,python)
+       ("python-pyparsing" ,python-pyparsing)
+       ("python-six" ,python-six)
+       ("texlive" ,texlive)))
+    (inputs
+     `())
+    (home-page "https://gitlab.com/Molcas/OpenMolcas")
+    (synopsis "Multi-reference electronic structure theory program")
+    (description "OpenMolcas is a quantum chemistry software package devel=
oped
+by scientists and intended to be used by scientists. It includes programs =
to
+apply many different electronic structure methods to chemical systems, but=
 its
+key feature is the multiconfigurational approach, with methods like CASSCF=
 and
+CASPT2.")
+    (license license:lgpl2.1)))
diff --git a/gnu/packages/maths.scm b/gnu/packages/maths.scm
index 01bd03c60..5f1dfec8a 100644
--- a/gnu/packages/maths.scm
+++ b/gnu/packages/maths.scm
@@ -27,6 +27,7 @@
 ;;; Copyright =C2=A9 2018 Nadya Voronova <voronovank@HIDDEN>
 ;;; Copyright =C2=A9 2018 Adam Massmann <massmannak@HIDDEN>
 ;;; Copyright =C2=A9 2018 Marius Bakke <mbakke@HIDDEN>
+;;; Copyright =C2=A9 2018 Eric Brown <brown@HIDDEN>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -2909,6 +2910,76 @@ parts of it.")
      "OpenBLAS is a BLAS library forked from the GotoBLAS2-1.13 BSD versio=
n.")
     (license license:bsd-3)))
=20
+(define-public openblas-ilp64
+  (package
+    (name "openblas-ilp64")
+    (version "0.3.2")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (string-append "mirror://sourceforge/openblas/v" version "/Ope=
nBLAS%20"
+                           version "%20version.tar.gz"))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "0b20km2jv7m6qiylrlvhq2vnmkmilb633mr8rhqmgbn1wqrp58jq"))))
+    (build-system gnu-build-system)
+    (arguments
+     `(#:test-target "test"
+       ;; DYNAMIC_ARCH is only supported on x86.  When it is disabled and =
no
+       ;; TARGET is specified, OpenBLAS will tune itself to the build host=
, so
+       ;; we need to disable substitutions.
+       #:substitutable?
+        ,(let ((system (or (%current-target-system) (%current-system))))
+           (or (string-prefix? "x86_64" system)
+               (string-prefix? "i686" system)
+               (string-prefix? "mips" system)
+               (string-prefix? "aarch64" system)))
+       #:make-flags
+       (list (string-append "PREFIX=3D" (assoc-ref %outputs "out"))
+             "SHELL=3Dbash"
+             ;; Build the library for all supported CPUs.  This allows
+             ;; switching CPU targets at runtime with the environment vari=
able
+             ;; OPENBLAS_CORETYPE=3D<type>, where "type" is a supported CP=
U type.
+             ;; Unfortunately, this is not supported on non-x86 architectu=
res,
+             ;; where it leads to failed builds.
+             ,@(let ((system (or (%current-target-system) (%current-system=
))))
+                 (cond
+                  ((or (string-prefix? "x86_64" system)
+                       (string-prefix? "i686" system))
+                   '("DYNAMIC_ARCH=3D1" "INTERFACE64=3D1" "LIBNAMESUFFIX=
=3Dilp64"))
+                  ;; On MIPS we force the "SICORTEX" TARGET, as for the ot=
her
+                  ;; two available MIPS targets special extended instructi=
ons
+                  ;; for Loongson cores are used.
+                  ((string-prefix? "mips" system)
+                   '("TARGET=3DSICORTEX" "INTERFACE64=3D1" "LIBNAMESUFFIX=
=3Dilp64"))
+                  ;; On aarch64 force the generic 'armv8-a' target
+                  ((string-prefix? "aarch64" system)
+                   '("TARGET=3DARMV8" "INTERFACE64=3D1" "LIBNAMESUFFIX=3Di=
lp64"))
+                  (else '("INTERFACE64=3D1" "LIBNAMESUFFIX=3Dilp64")))))
+       ;; no configure script
+       #:phases
+       (modify-phases %standard-phases
+         (delete 'configure)
+         (add-before 'build 'set-extralib
+           (lambda* (#:key inputs #:allow-other-keys)
+             ;; Get libgfortran found when building in utest.
+             (setenv "FEXTRALIB"
+                     (string-append "-L" (assoc-ref inputs "fortran-lib")
+                                    "/lib"))
+             #t)))))
+    (inputs
+     `(("fortran-lib" ,gfortran "lib")))
+    (native-inputs
+     `(("cunit" ,cunit)
+       ("fortran" ,gfortran)
+       ("perl" ,perl)))
+    (home-page "http://www.openblas.net/")
+    (synopsis "Optimized BLAS library based on GotoBLAS (ILP64 version)")
+    (description
+     "OpenBLAS is a BLAS library forked from the GotoBLAS2-1.13 BSD versio=
n. (ILP64 version)")
+    (license license:bsd-3)))
+
 (define* (make-blis implementation #:optional substitutable?)
   "Return a BLIS package with the given IMPLEMENTATION (see config/ in the
 source tree for a list of implementations.)
diff --git a/gnu/packages/patches/openmolcas-pymolcas-openblas.patch b/gnu/=
packages/patches/openmolcas-pymolcas-openblas.patch
new file mode 100644
index 000000000..2c7feade6
--- /dev/null
+++ b/gnu/packages/patches/openmolcas-pymolcas-openblas.patch
@@ -0,0 +1,131 @@
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index a4071fd..53d8df5 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1338,42 +1338,43 @@ if (LINALG STREQUAL "OpenBLAS")
+         endif ()
+=20
+         # search for the OpenBLAS library
+-        find_library (LIBOPENBLAS
+-                NAMES openblas
+-                PATHS ${OPENBLASROOT}
+-                PATH_SUFFIXES lib
+-                NO_DEFAULT_PATH)
+-
+-        if (NOT LIBOPENBLAS)
+-                message (FATAL_ERROR
+-                        "OpenBLAS library not found, please check that "
+-                        "the OPENBLASROOT variable is set and points to "
+-                        "a valid OpenBLAS installation directory."
+-                        )
+-        endif ()
+-
+-        # here we check if LIBOPENBLAS has changed after it was processed
+-        # succesfully, if not we do not need to rerun anything here.
+-        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
+-                # check if the OpenBLAS library contains LAPACK functiona=
lity
+-                message ("-- Checking OpenBLAS for LAPACK functionality..=
.")
+-                include(CheckFortranFunctionExists)
+-                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
+-                unset (OPENBLAS_WITH_LAPACK CACHE)
+-                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPAC=
K)
+-                if (NOT OPENBLAS_WITH_LAPACK)
+-                        unset (LIBOPENBLAS CACHE)
+-                        message (FATAL_ERROR
+-                                "LAPACK functionality missing from OpenBL=
AS library, "
+-                                "please build OpenBLAS with NO_LAPACK=3D0=
 defined."
+-                                )
+-                endif ()
+-                # save the last location to check if it changed between c=
onfigurations
+-                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "last=
 value." FORCE)
+-        endif ()
+-
+-        add_definitions (-D_OPENBLAS_)
+-        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++#        find_library (LIBOPENBLAS
++#                NAMES openblas
++#                PATHS ${OPENBLASROOT}
++#                PATH_SUFFIXES lib
++#                NO_DEFAULT_PATH)
++#
++#        if (NOT LIBOPENBLAS)
++#                message (FATAL_ERROR
++#                        "OpenBLAS library not found, please check that "
++#                        "the OPENBLASROOT variable is set and points to "
++#                        "a valid OpenBLAS installation directory."
++#                        )
++#        endif ()
++#
++#        # here we check if LIBOPENBLAS has changed after it was processed
++#        # succesfully, if not we do not need to rerun anything here.
++#        if (NOT LIBOPENBLAS STREQUAL LIBOPENBLAS_LAST)
++#                # check if the OpenBLAS library contains LAPACK function=
ality
++#                message ("-- Checking OpenBLAS for LAPACK functionality.=
..")
++#                include(CheckFortranFunctionExists)
++#                set (CMAKE_REQUIRED_LIBRARIES ${LIBOPENBLAS})
++#                unset (OPENBLAS_WITH_LAPACK CACHE)
++#                check_fortran_function_exists("dsyev" OPENBLAS_WITH_LAPA=
CK)
++#                if (NOT OPENBLAS_WITH_LAPACK)
++#                        unset (LIBOPENBLAS CACHE)
++#                        message (FATAL_ERROR
++#                                "LAPACK functionality missing from OpenB=
LAS library, "
++#                                "please build OpenBLAS with NO_LAPACK=3D=
0 defined."
++#                                )
++#                endif ()
++#                # save the last location to check if it changed between =
configurations
++#                set (LIBOPENBLAS_LAST ${LIBOPENBLAS} CACHE INTERNAL "las=
t value." FORCE)
++#        endif ()
++#
++        add_definitions (-D_OPENBLAS_)
++#        set (LINALG_LIBRARIES ${LIBOPENBLAS})
++         set (LINALG_LIBRARIES ${LINALG_LIBRARIES})
+ else ()
+         mark_as_advanced(FORCE OPENBLASROOT)
+ endif ()
+@@ -3167,11 +3168,11 @@ install (PROGRAMS
+ if (DEFINED PYMOLCAS_TARGET)
+         install (PROGRAMS
+                 ${PYMOLCAS_TARGET}
+-                DESTINATION ${CMAKE_INSTALL_PREFIX}/sbin
++                DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 RENAME pymolcas
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_pymolcas.sh ${PYMOLCAS_TARGET})")
++#        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/in=
stall_pymolcas.sh ${PYMOLCAS_TARGET})")
+ endif ()
+=20
+ if (DEFINED EXTRA_DIR)
+@@ -3188,9 +3189,9 @@ if (DEFINED EXTRA_DIR)
+                 DESTINATION ${CMAKE_INSTALL_PREFIX}/bin
+                 )
+=20
+-        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/ins=
tall_driver.sh ${MOLCAS_DRIVER})")
++#        install (CODE "execute_process(COMMAND ${OPENMOLCAS_DIR}/sbin/in=
stall_driver.sh ${MOLCAS_DRIVER})")
+ endif ()
+=20
+-if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
+-        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_INS=
TALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
+-endif ()
++#if (IS_DIRECTORY "$ENV{HOME}/.Molcas")
++#        install (CODE "execute_process(COMMAND sh \"-c\" \"cd ${CMAKE_IN=
STALL_PREFIX}; echo `pwd` > $HOME/.Molcas/molcas 2> /dev/null\")")
++#endif ()
+diff --git a/Tools/pymolcas/CMakeLists.txt b/Tools/pymolcas/CMakeLists.txt
+index 0d576fa..f9ba6d7 100644
+--- a/Tools/pymolcas/CMakeLists.txt
++++ b/Tools/pymolcas/CMakeLists.txt
+@@ -52,9 +52,9 @@ if (PYTHONINTERP_FOUND)
+                         DEPENDS ${PYMOLCAS_TARGET}
+                         )
+=20
+-                add_custom_command (TARGET pymolcas
+-                        POST_BUILD
+-                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.s=
h ${PYMOLCAS_TARGET}
+-                )
++#                add_custom_command (TARGET pymolcas
++#                        POST_BUILD
++#                        COMMAND ${OPENMOLCAS_DIR}/sbin/install_pymolcas.=
sh ${PYMOLCAS_TARGET}
++#                )
+=20
+         endif ()
+
--=20
2.18.0


--=-=-=--




Acknowledgement sent to Eric Brown <brown@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#32691; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 21 Sep 2018 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.